Package it.ernytech.tdlib

## Class TdApi.ConnectedWebsite

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.ConnectedWebsite

Enclosing class:
  TdApi

    public static class TdApi.ConnectedWebsite
    extends TdApi.Object

Contains information about one website the current user is logged in with Telegram.

### Field Summary

Fields
`int` `botUserId` User identifier of a bot linked with the website.
`java.lang.String` `browser` The version of a browser used to log in.
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`java.lang.String` `domainName` The domain name of the website.
`long` `id` Website identifier.
`java.lang.String` `ip` IP address from which the user was logged in, in human-readable format.
`int` `lastActiveDate` Point in time (Unix timestamp) when obtained authorization was last used.
`java.lang.String` `location` Human-readable description of a country and a region, from which the user was logged in, based on the IP address.
`int` `logInDate` Point in time (Unix timestamp) when the user was logged in.
`java.lang.String` `platform` Operating system the browser is running on.

### Constructor Summary

Constructors
`ConnectedWebsite()` Default constructor.
`ConnectedWebsite​(long id, java.lang.String domainName, int botUserId, java.lang.String browser, java.lang.String platform, int logInDate, int lastActiveDate, java.lang.String ip, java.lang.String location)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### id

    public long id

Website identifier.

#### domainName

    public java.lang.String domainName

The domain name of the website.

#### botUserId

    public int botUserId

User identifier of a bot linked with the website.

#### browser

    public java.lang.String browser

The version of a browser used to log in.

#### platform

    public java.lang.String platform

Operating system the browser is running on.

#### logInDate

    public int logInDate

Point in time (Unix timestamp) when the user was logged in.

#### lastActiveDate

    public int lastActiveDate

Point in time (Unix timestamp) when obtained authorization was last used.

#### ip

    public java.lang.String ip

IP address from which the user was logged in, in human-readable format.

#### location

    public java.lang.String location

Human-readable description of a country and a region, from which the user was logged in, based on the IP address.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### ConnectedWebsite

    public ConnectedWebsite()

Default constructor.

#### ConnectedWebsite

    public ConnectedWebsite​(long id,
                            java.lang.String domainName,
                            int botUserId,
                            java.lang.String browser,
                            java.lang.String platform,
                            int logInDate,
                            int lastActiveDate,
                            java.lang.String ip,
                            java.lang.String location)

Constructor for initialization of all fields.

Parameters:
  `id` - Website identifier.
  `domainName` - The domain name of the website.
  `botUserId` - User identifier of a bot linked with the website.
  `browser` - The version of a browser used to log in.
  `platform` - Operating system the browser is running on.
  `logInDate` - Point in time (Unix timestamp) when the user was logged in.
  `lastActiveDate` - Point in time (Unix timestamp) when obtained authorization was last used.
  `ip` - IP address from which the user was logged in, in human-readable format.
  `location` - Human-readable description of a country and a region, from which the user was logged in, based on the IP address.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR